Bug 81408 - Red Hat Linux 8.0, No drivers included for VIa Technologies VT8233 AC97 Audio Controller
Red Hat Linux 8.0, No drivers included for VIa Technologies VT8233 AC97 Audio...
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-01-08 22:48 EST by Brian Curtis
Modified: 2014-03-16 22:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-08 23:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Curtis 2003-01-08 22:48:04 EST
Description of problem:

I just loaded Red Hat Linux 8.0 on a new HP 734n and everything but the sound 
card seems to work ok.  The sound car (VIA VT8233) was detected during 
installation, but the sound test produced no sound.  After resding the 
installation guide, I tried using 'sndconfig.'  The following errors were 

/lib/modules/2.4.18-14/kernal/drivers/sound/via82cxxx_audio.o: init_module: No 
such device

/lib/modules/2.4.18-14/kernel/drivers/sound/via82cxxx_audio.o: insmod

/lib/modules/2.4.18-14/kernel/drivers/sound/via82cxxx_audio.o failed

/lib/modules/2.4.18-14/kernel/drivers/sound/via82cxxx_audio.o: insmod sound-
slot-O failed

I've read that VT8233 AC'97 was supported by linux, so am I missing the drivers 
for the card?  Or, is this card not supported and I should buy [fill in here].  
What do I do?

Version-Release number of selected component (if applicable):

Red Hat 8.0 (Downloaded from www.redhat.com)

HP Pavilion 734n (AMD Athlon XP 2400, 512MB, 80GB, CDRW, DVD-ROM)

How reproducible:

I've attempted to re-install the Linux OS and it happens every time.  Also 
tried logging in and out multiple times.

Steps to Reproduce:
1. Install Red Hat Linux 8.0 on system with VIA VT8233 AC'97 Audio Controller
2. Sound Card is located, test sound (sound will fail)
3. Log in and try sndconfig (will produce errors as listed above)
Actual results:

No sound.

Expected results:


Additional info:

This is my very first attempt at Linux.  So, keep that in mind when 
Comment 1 Bill Nottingham 2003-01-08 22:59:21 EST
It's fixed in the current rawhide kernel.
Comment 2 Brian Curtis 2003-01-08 23:04:28 EST
What is this "RAWHIDE" you speak of?  How do I get it?  How can I update my 
system (not connected to network)?  Details please.  FYI: I just downloaded RH 
8.0 on 1/6/2003, was it fixed between then and now?  Should I download RH Linux 
8.0 again?
Comment 3 Bill Nottingham 2003-01-08 23:10:41 EST
    The problem describe has been fixed in the latest development release of our
product obtainable from our ftp site.

Rawhide is daily snapshots of our development tree, available from

It is not necessarily guaranteed to work on previous releases, but
that's where the fix is.
Comment 4 Brian Curtis 2003-01-09 14:41:24 EST
Which RPM(s) do I need to fix this problem (from RAWHIDE)?
Comment 5 Bill Nottingham 2003-01-09 15:22:24 EST
The kernel.

Note You need to log in before you can comment on or make changes to this bug.